complexType "BrokerEquityOption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 27 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, equityEffectiveDate?, underlyer?, notional?, equityExercise?, (feature?, fxFeature?)?, strategyFeature?, strike?, spotPrice?, numberOfOptions?, equityPremium?, deltaCrossed?, brokerageFee?, brokerNotes?
</...>

Content Model Elements (27):

  assetClass (defined in Product.model group),
  brokerageFee,
  brokerNotes,
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  deltaCrossed,
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  equityPremium (defined in EquityDerivativeShortFormBase complexType),
  feature (defined in Feature.model group),
  fxFeature (defined in Feature.model group),
  notional (defined in EquityDerivativeBase complexType),
  numberOfOptions (defined in EquityDerivativeShortFormBase complexType),
  optionType (defined in EquityDerivativeBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productId (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  spotPrice (defined in EquityDerivativeShortFormBase complexType),
  strategyFeature (defined in EquityDerivativeBase complexType),
  strike (defined in EquityDerivativeShortFormBase complexType),
  underlyer (defined in EquityDerivativeBase complexType)

All Direct / Indirect Based Elements (1):

  brokerEquityOption

Known Usage Locations

- As direct type of elements (1):
  brokerEquityOption

Annotation
A type for defining the broker equity options.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeShortFormBase (extension) BrokerEquityOption

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="BrokerEquityOption"> <xsd:complexContent> <xsd:extension base="EquityDerivativeShortFormBase"> <xsd:sequence> <xsd:element minOccurs="0" name="deltaCrossed" type="xsd:boolean"/> <xsd:element minOccurs="0" name="brokerageFee" type="Money"/> <xsd:element minOccurs="0" name="brokerNotes" type="xsd:string"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/27)
brokerageFee

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="brokerageFee" type="Money"/>

brokerNotes

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="brokerNotes" type="xsd:string"/>

deltaCrossed

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deltaCrossed" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.